'//////////////////////////////////////////////////////////////////////////////
'//
'//  Copyright 2025 Autodesk, Inc.  All rights reserved.
'//
'//  Use of this software is subject to the terms of the Autodesk license 
'//  agreement provided at the time of installation or download, or which 
'//  otherwise accompanies this software in either electronic or hard copy form.   
'//
'//////////////////////////////////////////////////////////////////////////////
'

Imports System.Runtime.InteropServices
Imports System.Reflection

Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Imports AcadmAuto.McadObjectType
Imports AcadmAuto
Imports SymBBAuto
Imports GEAuto

<Assembly: ExtensionApplication(GetType(netDatumTarget.netDatumTarget))>
<Assembly: CommandClass(GetType(netDatumTarget.CreateCommand))>

Namespace netDatumTarget

    Public Class netDatumTarget
        Implements Autodesk.AutoCAD.Runtime.IExtensionApplication
        Public Sub Initialize() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Initialize
            '
        End Sub
        Public Sub Terminate() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Terminate
            '
        End Sub
    End Class

    Public Class CreateCommand
        ' Define command
        <Autodesk.AutoCAD.Runtime.CommandMethod("CREATEDATUMTGT")>
        Public Sub createRevList()
            Dim targetSelDlg As New SelectTargetType
            Application.ShowModelessDialog(targetSelDlg)
        End Sub
    End Class
End Namespace
